stable-show-missing

Shows all commits that exist in a given range but not in the local branch.

Signed-off-by: Sasha Levin <sasha.levin@oracle.com>
diff --git a/README b/README
index 94495c9..07f3300 100644
--- a/README
+++ b/README
@@ -51,4 +51,13 @@
 tag.
 
 The user can optionally pass a message to be used rather than using the
-upstream commit's message. 
+upstream commit's message.
+
+
+4) stable show-missing <commit range>
+
+Show all commits that exist in the provided range but don't exist in the local
+branch. Script is using the comparison described in commit-in-tree.
+
+This is useful to audit the differences between a newly build tree vs
+a different one to verify that all required commits were picked in.
diff --git a/stable-show-missing b/stable-show-missing
new file mode 100755
index 0000000..b6b3fb5
--- /dev/null
+++ b/stable-show-missing
@@ -0,0 +1,18 @@
+#!/bin/bash
+#
+# Show commits which exist in a given range, but don't exist in the current
+# branch.
+#
+
+. show-missing-iter
+
+if [ "$#" -ne 1 ]; then
+        echo "Usage: stable show-missing <commit range>"
+        exit 1
+fi
+
+function simple_print {
+	echo $(git log -1 --oneline $1)
+}
+
+show_missing_iter $1 simple_print